Skip to main content
GET
/
vq
/
fundamentals
/
{symbol}
Get company fundamentals
curl --request GET \
  --url https://api.vectrade.io/v1/vq/fundamentals/{symbol} \
  --header 'Authorization: Bearer <token>'
{
  "symbol": "<string>",
  "companyName": "<string>",
  "sector": "<string>",
  "industry": "<string>",
  "marketCap": 123,
  "peRatio": 123,
  "forwardPe": 123,
  "eps": 123,
  "dividendYield": 123,
  "beta": 123,
  "fiftyTwoWeekHigh": 123,
  "fiftyTwoWeekLow": 123,
  "avgVolume": 123,
  "sharesOutstanding": 123,
  "description": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vectrade.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

symbol
string
required

Response

Fundamental data

symbol
string
companyName
string
sector
string
industry
string
marketCap
number
peRatio
number | null
forwardPe
number | null
eps
number
dividendYield
number | null
beta
number
fiftyTwoWeekHigh
number
fiftyTwoWeekLow
number
avgVolume
integer
sharesOutstanding
integer
description
string